Webhook Rules
Webhook Rules
This API allows you to create and manage webhook rules to receive real-time notifications for various supported events.
How to Configure:
- Define the webhook URL – Specify where to send notifications.
- Set authentication details – Use the
authenticationsection to include sensitive authentication headers or query parameters.- These values will not be returned when a user reads the webhook configuration.
- Set additional headers and queryParams – Use the top-level
headersandqueryParamsfields to include any non-authentication details if needed. - Choose the events – Select the events for which you want to receive updates.
Supported Events:
You can configure webhooks to receive updates for the following events:
MediaKind.JobStarted | MediaKind.JobFinished | MediaKind.StreamingLocatorCreated | MediaKind.ChannelInstanceStarted | MediaKind.ChannelInstanceStopped | MediaKind.ChannelInstanceError | MediaKind.ScheduledOperationAccepted | MediaKind.ScheduledOperationCompleted | MediaKind.ScheduledOperationError | MediaKind.ScheduledOperationOngoing
Events will be delivered according to the Cloud Event specification, see our webhook docs for more information.
get List Webhook Rules /api/v1/projects/{project_name}/webhook/rules get Get Webhook Rule /api/v1/projects/{project_name}/webhook/rules/{rule_name} put Create or Update Webhook Rule /api/v1/projects/{project_name}/webhook/rules/{rule_name} del Delete Webhook Rule /api/v1/projects/{project_name}/webhook/rules/{rule_name} get Get Webhook Events /api/v1/projects/{project_name}/webhook/rules/{rule_name}/events